<div class='accountContainer box-shadow'>
  <!-- <div class='account-header'>
    <h1>
      <a href='#'><img src='assets/img/logo.svg'></a>
    </h1>
  </div> -->
  <div class='account-body'>
    <div class='user-body'>
      <div class='user-symbol'>
        <p class='symbol-text'>{{auth.user.symbol}}</p>
      </div>
    </div>

    <dx-form #accountForm [(formData)]="accountData" validationGroup='accountValidation' labelLocation="left">
      <dxi-item [label]="{ text: 'Nume Prenume'}" dataField="fullName" editorType="dxTextBox" [editorOptions]="{readOnly: isReadOnly}">
        <dxi-validation-rule type="stringLength" [min]="3" [max]="256" message="Numele trebuie sa contina intre 3 si 256 caractere."></dxi-validation-rule>
      </dxi-item>
      <dxi-item [label]="{ text: 'Adresă e-mail'}" dataField="emailAddress" editorType="dxTextBox" [editorOptions]="{readOnly: true  }">
      </dxi-item>
      <dxi-item [label]="{text: 'Parola noua'}" dataField="newPassword" editorType="dxTextBox" [editorOptions]="{ mode: 'password', readOnly: isReadOnly }">
        <dxi-validation-rule type="stringLength" [ignoreEmptyValue]='true' [min]="5" [max]="16" message="Parola trebuie să conțină între 5 și 16 caractere."></dxi-validation-rule>
      </dxi-item>
      <dxi-item [label]="{text: 'Confirmare parola'}" dataField="confirmPassword" editorType="dxTextBox"
        [editorOptions]="{ mode: 'password', readOnly: isReadOnly }">
        <dxi-validation-rule type="stringLength" [ignoreEmptyValue]='true' [min]="5" [max]="16" message="Parola trebuie să conțină între 5 și 16 caractere."></dxi-validation-rule>
        <dxi-validation-rule type="compare" [comparisonTarget]="passwordComparison" message="Parolele nu corespund"></dxi-validation-rule>
      </dxi-item>

      <dxi-item [label]="{ text: 'Telefon'}" dataField="phone" editorType="dxTextBox" [editorOptions]="{readOnly: isReadOnly }">
      </dxi-item>
      <dxi-item [label]="{text: 'Language'}" dataField="lang" editorType="dxSelectBox" [editorOptions]="{
        dataSource: lg.lang, onValueChanged: onLanguageChange }"></dxi-item>
      <dxi-item [label]="{ text: 'Temă compactă', location: 'left'}" dataField="switchCompact" editorType="dxSwitch"
        [editorOptions]="{onValueChanged: onThemeChange, switchedOnText: 'DA', switchedOffText: 'NU' }">
      </dxi-item>
    </dx-form>

    <div style='margin: 20px auto; width: 150px; text-align:center'>
      <a href="javascript:void(0);" style='font-size: 12px; margin-right: 10px' (click)='startEditing()' *ngIf='isReadOnly'>Editează</a>
      <a href="javascript:void(0);" style='font-size: 12px; margin-right: 10px' (click)='onSaveEdit(accountForm)' *ngIf='!isReadOnly'>Salveaza</a>
      <a href="javascript:void(0);" style='font-size: 12px;' (click)='onSaveClose()' *ngIf='!isReadOnly'>Inchide</a>
    </div>
  </div>
</div>